// *** OFP Materials config template ***
class CfgPatches
{
	// Change MyMatDefinitions to whatever name you want
	class MyMatDefinitions
	{
		units[] = {};
		weapons[] = {};
		requiredAddons[]= {"OFP_MatDef"};
		requiredVersion = 1.90;
	};
};

class CfgTextureToMaterial
{
	// Change the subsequent MyMatDefinitions_<Material> to whatever name you want
	class MyMatDefinitions_Glass
	{
		// The textures should be listed inside the brackets below.
		// Use the following format: "<name of the pbo>\<path to the texture>"
		// Example: "BAS_MAH60\g\bas60_glass.paa"
		// Remember that we're building an array here, so place commas if you have more than one texture.
		// The same applies to the rest of material classes below.
		textures[]=
		{
		};
		// Do not change the "material" values of any class.
		material="#OFPglass";
	};
	
	class MyMatDefinitions_MetalVeh
	{
		textures[]=
		{	
		};
		material="#OFPriflemetal";
	};
	
	class MyMatDefinitions_Metal
	{
		textures[]=
		{			
		};
		material="#OFPmetal";
	};
	
	class MyMatDefinitions_Buildings
	{
		textures[]=
		{	
		};
		material="#OFPbuildings";
	};
	
	class MyMatDefinitions_Terrain
	{
		textures[]=
		{	
		};
		material="#OFPTerrain";
	};

	// Roads aren't really affected by materials, so feel free to skip it if you want to. It does affect roads that don't have their vertices set as On Surface, though.
	class MyMatDefinitions_Roads
	{
		textures[]=
		{	
		};
		material="#OFPRoads";
	};
		
	class MyMatDefinitions_Vegetation
	{
		textures[]=
		{	
		};
		material="#OFPvegetation";
	};

	class MyMatDefinitions_Water
	{
		textures[]=
		{	
		};
		material="#OFPWater";
	};

	class MyMatDefinitions_Sea
	{
		textures[]=
		{	
		};
		material="#Water";
	};

	class MyMatDefinitions_particles
	{
		textures[]=
		{				
		};
		material="#OFPparticles";
	};
	
	class MyMatDefinitions_shiningParticles
	{
		textures[]=
		{	
		};
		material="#OFPshining";
	};
	
	class MyMatDefinitions_vehinterior
	{
		textures[]=
		{	
		};
		material="#OFPvehinterior";
	};

	class MyMatDefinitions_Faces
	{
		textures[]=
		{	
		};
		material="#OFPskin";
	};
	
	class MyMatDefinitions_Clothing
	{
		textures[]=
		{		
		};
		material="#OFPclothing";
	};
	
	class MyMatDefinitions_Gear
	{
		// Place here textures featuring gear of units (vests, boots, etc) as well as vehicle wheels and any other texture of similar material
		textures[]=
		{
		};
		material="#OFPgear";
	};
};